org.springframework.batch.core.listener

## Enum JobListenerMetaData

- java.lang.Object
- - java.lang.Enum<JobListenerMetaData>
  - - org.springframework.batch.core.listener.JobListenerMetaData

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JobListenerMetaData>, ListenerMetaData

      public enum JobListenerMetaData
      extends java.lang.Enum<JobListenerMetaData>
      implements ListenerMetaData

  Enumeration for `JobExecutionListener` meta data, which ties together the names of methods, their interfaces, annotation, and expected arguments.
  Since:
    2.0
  Author:
    Lucas Ward, Mahmoud Ben Hassine
  See Also:
    `JobListenerFactoryBean`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER_JOB`
    `BEFORE_JOB`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JobListenerMetaData` | `fromPropertyName(java.lang.String propertyName)` Return the relevant meta data for the provided property name.
    `java.lang.Class<? extends java.lang.annotation.Annotation>` | `getAnnotation()`
    `java.lang.Class<?>` | `getListenerInterface()`
    `java.lang.String` | `getMethodName()`
    `java.lang.Class<?>[]` | `getParamTypes()`
    `java.lang.String` | `getPropertyName()`
    `static JobListenerMetaData` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JobListenerMetaData[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFORE_JOB

          public static final JobListenerMetaData BEFORE_JOB

    - #### AFTER_JOB

          public static final JobListenerMetaData AFTER_JOB

  - ### Method Detail

    - #### values

          public static JobListenerMetaData[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JobListenerMetaData c : JobListenerMetaData.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JobListenerMetaData valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMethodName

          public java.lang.String getMethodName()

      Specified by:
        `getMethodName` in interface `ListenerMetaData`

    - #### getAnnotation

          public java.lang.Class<? extends java.lang.annotation.Annotation> getAnnotation()

      Specified by:
        `getAnnotation` in interface `ListenerMetaData`

    - #### getListenerInterface

          public java.lang.Class<?> getListenerInterface()

      Specified by:
        `getListenerInterface` in interface `ListenerMetaData`

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `ListenerMetaData`

    - #### getParamTypes

          public java.lang.Class<?>[] getParamTypes()

      Specified by:
        `getParamTypes` in interface `ListenerMetaData`

    - #### fromPropertyName

          @Nullable
          public static JobListenerMetaData fromPropertyName(java.lang.String propertyName)

      Return the relevant meta data for the provided property name.
      Parameters:
        `propertyName` - name of the property to retrieve.
      Returns:
        meta data with supplied property name, `null` if none exists.